## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCUserDefinedTypeLoader.DistinctTypeFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.StructTypeFactory
          org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.DistinctTypeFactory

All Implemented Interfaces:
  JDBCUserDefinedTypeLoader.IUDTFactory

Enclosing class:
  JDBCUserDefinedTypeLoader

    public static class JDBCUserDefinedTypeLoader.DistinctTypeFactory

extends JDBCUserDefinedTypeLoader.StructTypeFactory

Base factory implementation for distinct UDTs.

Constructor Summary
`JDBCUserDefinedTypeLoader.DistinctTypeFactory(DatabaseDefinition databaseDefinition)`

Method Summary
`EClass` `getUDTEClass()`
`void` `initialize(UserDefinedType udt, java.sql.ResultSet rs)` Initializes the new UserDefinedType object using the meta-data in the result set.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.StructTypeFactory
`createUDT`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCUserDefinedTypeLoader.DistinctTypeFactory

    public JDBCUserDefinedTypeLoader.DistinctTypeFactory(DatabaseDefinition databaseDefinition)

Method Detail

### getUDTEClass

    public EClass getUDTEClass()

  Specified by:
    `getUDTEClass` in interface `JDBCUserDefinedTypeLoader.IUDTFactory`
  Overrides:
    `getUDTEClass` in class `JDBCUserDefinedTypeLoader.StructTypeFactory`
  Returns:
    SQLDataTypesPackage.eINSTANCE.getDistinctUserDefinedType()
  See Also:
    `JDBCUserDefinedTypeLoader.StructTypeFactory.getUDTEClass()`

### initialize

    public void initialize(UserDefinedType udt,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Initializes the new UserDefinedType object using the meta-data in the result set. This method initializes the name, description and type of the UDT.

  Specified by:
    `initialize` in interface `JDBCUserDefinedTypeLoader.IUDTFactory`
  Overrides:
    `initialize` in class `JDBCUserDefinedTypeLoader.StructTypeFactory`
  Parameters:
    `udt` - a new UserDefinedType object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong
  See Also:
    `JDBCUserDefinedTypeLoader.StructTypeFactory.initialize(org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType, java.sql.ResultSet)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.